#
# spec file for package samba
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{!?_tmpfilesdir:%global _tmpfilesdir /usr/lib/tmpfiles.d}

Name:           samba
%if 0%{?suse_version} == 0 || 0%{?suse_version} > 1140
BuildRequires:  autoconf
%endif
BuildRequires:  cups-devel
BuildRequires:  cyrus-sasl-devel
BuildRequires:  e2fsprogs-devel
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  patch
%if 0%{?suse_version} > 1300
BuildRequires:  libarchive-devel
%endif
%if 0%{?suse_version} > 1210
BuildRequires:  gamin-devel
%else
BuildRequires:  fam-devel
%endif
BuildRequires:  krb5-devel
BuildRequires:  libacl-devel
BuildRequires:  libattr-devel
BuildRequires:  libiniparser-devel
%if 0%{?centos_version} > 599 ||0%{?fedora_version} > 11 || 0%{?mandriva_version} > 2009 || 0%{?rhel_version} > 599 || 0%{?suse_version} > 1100
BuildRequires:  libuuid-devel
%endif
BuildRequires:  pam-devel
%if 0%{?centos_version} > 599 ||0%{?fedora_version} > 11 || 0%{?rhel_version} > 599
BuildRequires:  perl-ExtUtils-MakeMaker
%endif
BuildRequires:  popt-devel
BuildRequires:  python-devel
BuildRequires:  readline-devel
%if 0%{?suse_version}
BuildRequires:  cracklib-devel
BuildRequires:  libopenssl-devel
BuildRequires:  openldap2-devel
%endif
%if 0%{?suse_version} > 1030
BuildRequires:  gdbm-devel
BuildRequires:  pwdutils
%endif
%if 0%{?suse_version} > 930
BuildRequires:  libnscd-devel
%endif
%if 0%{?suse_version} > 930 && 0%{?suse_version} < 1031
BuildRequires:  dmapi-devel
BuildRequires:  libxml2-devel
BuildRequires:  mysql-devel
BuildRequires:  postgresql-devel
BuildRequires:  xfsprogs-devel
%endif
%if 0%{?fedora_version}
BuildRequires:  cracklib-devel
%endif
%if 0%{?centos_version} || 0%{?fedora_version} || 0%{?rhel_version} || 0%{?mandriva_version}
BuildRequires:  openldap-devel
%endif
%if 0%{?suse_version} > 1000
BuildRequires:  keyutils-devel
%endif
%if 0%{?fedora_version} || 0%{?rhel_version} > 500
BuildRequires:  keyutils-libs-devel
%endif
%if 0%{?suse_version} > 1000 || 0%{?fedora_version} || 0%{?rhel_version} || 0%{?mandriva_version}
BuildRequires:  ctdb-devel > 1.0.105
%endif
%if 0%{?suse_version} > 1110
BuildRequires:  fdupes
%endif
%if 0%{?suse_version} > 1020
%define pkgconfig_req pkg-config
%else
%define pkgconfig_req pkgconfig
%endif
BuildRequires:  %{pkgconfig_req}
BuildRequires:  libldb-devel
BuildRequires:  pyldb-devel
#!BuildIgnore: libtalloc
BuildRequires:  libtalloc-devel
BuildRequires:  pytalloc-devel
#!BuildIgnore: libtdb
BuildRequires:  libtdb-devel
BuildRequires:  python-tdb
#!BuildIgnore:  libtevent
BuildRequires:  libtevent-devel
BuildRequires:  python-tevent
# to generate the man pages
BuildRequires:  docbook-xsl-stylesheets
%if 0%{?centos_version} > 599 || 0%{?fedora_version} > 11 || 0%{?rhel_version} > 599 || 0%{?suse_version} > 0 && 0%{?suse_version} < 1141
BuildRequires:  libxslt
%endif
%if 0%{?suse_version} > 1140 && 0%{?suse_version} < 1211
BuildRequires:  libxslt1
%endif
%if 0%{?suse_version} > 1210
BuildRequires:  dbus-1-devel
BuildRequires:  libxslt-tools
%endif
%if 0%{?suse_version} > 1220
BuildRequires:  gpg-offline
BuildRequires:  systemd
BuildRequires:  systemd-devel
%endif
%define	samba_ver 4.1.9
%define	samba_ver_suffix %nil
%if "%{samba_ver_suffix}" == ""
%define samba_source_location http://ftp.samba.org/pub/samba/stable/samba-%{version}.tar.gz
%define samba_source_signature_location http://ftp.samba.org/pub/samba/stable/samba-%{version}.tar.asc
%else
%define samba_source_location http://ftp.samba.org/pub/samba/rc/samba-%{version}%{samba_ver_suffix}.tar.gz
%define samba_source_signature_location http://ftp.samba.org/pub/samba/rc/samba-%{version}%{samba_ver_suffix}.tar.asc
%endif
%define	samba_ver_full %{samba_ver}%{samba_ver_suffix}
%if 0%{?suse_version} && 0%{?suse_version} < 1111
%define	guards_symbols default_passdb_backend
%endif
%if 0%{?suse_version} && 0%{?suse_version} < 1031
%define libsmbclient_name libsmbclient
%define libsmbsharemodes_name libsmbsharemodes
%else
%define libsmbclient_name libsmbclient0
%define libsmbsharemodes_name libsmbsharemodes0
%endif
%define libnetapi_name libnetapi0
%define libwbclient_name libwbclient0
%if 0%{?suse_version} == 0 || 0%{?suse_version} > 1140
%define	build_make_smp_mflags %{?_smp_mflags}
%else
%define	build_make_smp_mflags %{?jobs:-j%jobs}
%endif
%define SOURCE_TIMESTAMP 3263
%define BRANCH %{version}
%global with_mitkrb5 1
%global with_dc 0
Version:        4.1.9
Release:        0
Url:            http://www.samba.org/
Provides:       samba-gplv3 = %{version}
Obsoletes:      samba-gplv3 < %{version}
Requires:       samba-client >= %{version}
%if 0%{?suse_version} > 1030
Recommends:     cron
Recommends:     logrotate
%endif
Summary:        A SMB/CIFS File, Print, and Authentication Server
License:        GPL-3.0+
Group:          Productivity/Networking/Samba
Source:         %{samba_source_location}
Source5:        %{samba_source_signature_location}
Source6:        http://www.samba.org/samba/ftp/samba-pubkey_6568B7EA.asc
Source1:        vendor-files.tar.bz2
Source2:        patches.tar.bz2
Source4:        baselibs.conf
Source100:      samba-client-rpmlintrc
PreReq:         /usr/bin/getent
PreReq:         /usr/sbin/groupadd
PreReq:         coreutils
PreReq:         grep
%if 0%{?suse_version} > 1220
PreReq:         %{fillup_prereq}
%endif
# Choose some features / extra packages here
############################################
%if 0%{?suse_version} == 0 || 0%{?suse_version} > 1120
%define cifs_init_script cifs
%else
%define cifs_init_script smbfs
%endif
%if 0%{?suse_version} && 0%{?suse_version} < 1111
# pre-11.2 doesn't know the python_* macros
%define python_sitelib %py_sitedir
%define python_sitearch %py_sitedir
%else (%if 0%{?centos_version} && 0%{?centos_version} < 600) || (0%{rhel_version} && 0%{rhel_version} < 600)
# CentOS and RHEL pre-6 don't know them either
%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; import sys; sys.stdout.write(get_python_lib())")
%define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; import sys; sys.stdout.write(get_python_lib(1))")
%endif
# Define some global directories
################################
%define	DOCDIR %{_defaultdocdir}/samba
%define	DOCBOOKDIR %{_defaultdocdir}/samba/docbook
%define	LOGDIR %{_localstatedir}/log/samba
%define	LOCKDIR %{_localstatedir}/lib/samba
%define	CONFIGDIR %{_sysconfdir}/samba
%define	INITDIR %{_sysconfdir}/init.d
%if 0%{?suse_version} > 1220
%define	PIDDIR /run/samba
%else
%define	PIDDIR %{_localstatedir}/run/samba
%endif
%if "%{_vendor}" == "suse"
%define	NET_CFGDIR network
%else
%define	NET_CFGDIR network-scripts
%endif
%define	auth_modules auth_unix,auth_wbc,auth_server,auth_netlogond,auth_script,auth_samba4
%define	idmap_modules idmap_ad,idmap_adex,idmap_hash,idmap_ldap,idmap_rfc2307,idmap_rid,idmap_tdb2
%define	pdb_modules pdb_tdbsam,pdb_ldap,pdb_ads,pdb_smbpasswd,pdb_wbc_sam,pdb_samba4
%define	vfs_modules vfs_cacheprime,vfs_readahead
%if 0%{?ul_version} >= 1
%define	VENDOR UL
%else
%if "%{_vendor}" == "suse" || "%{_vendor}" == "redhat"
%define	VENDOR SUSE
%else
%define	VENDOR %_vendor
%endif
%endif
%if 0%{?suse_version} == 0 || 0%{?suse_version} > 1120
%define cups_lib_dir %{_prefix}/lib/cups
%else
%define cups_lib_dir %{_libdir}/cups
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Samba is a suite of programs that allows SMB/CIFS clients to use the
Unix file space, printers, and authentication subsystem.

The package named samba contains all programs that are needed to act as
a server.  The binaries expect the configuration file to be found in
/etc/samba/smb.conf

For a more detailed description of Samba, check the samba-doc package
or the Samba.org Web page at http://www.Samba.org/

Please check http://en.openSUSE.org/Samba for general information on
Samba as part of SUSE Linux Enterprise or openSUSE products, links to
binary packages of the most current Samba version, and a bug reporting
how to.

Source Timestamp: %{SOURCE_TIMESTAMP}
Branch:         %{BRANCH}


%package client
Summary:        Samba Client Utilities
License:        GPL-3.0+
Group:          Productivity/Networking/Samba
Provides:       samba-gplv3-client = %{version}
Provides:       smbfs
Obsoletes:      samba-gplv3-client < %{version}
Provides:       samba-client-gplv2 = %{version}
Obsoletes:      samba-client-gplv2 < %{version}
%if 0%{?suse_version} > 0
PreReq:         %{?fillup_prereq}
PreReq:         %{?insserv_prereq}
%endif
PreReq:         /sbin/chkconfig
PreReq:         /sbin/ldconfig
PreReq:         coreutils
%{?systemd_requires}
Requires:       cifs-utils

%description client
Samba is a suite of programs that allows SMB/CIFS clients to use the
Unix file space, printers, and authentication subsystem.

The package named samba-client contains all programs that are needed to
act as a Samba client. The binaries expect the configuration file to
be found in /etc/samba/smb.conf

For a more detailed description of Samba, check the samba-doc package
or the Samba.org Web page at http://www.Samba.org/

Please check http://en.openSUSE.org/Samba for general information on
Samba as part of SUSE Linux Enterprise or openSUSE products, links to
binary packages of the most current Samba version, and a bug reporting
how to.

Source Timestamp: %{SOURCE_TIMESTAMP}
Branch:         %{BRANCH}


%if 0%{?suse_version} == 0 || 0%{?suse_version} > 1020
%package core-devel
Summary:        Development files shared by Samba subpackages
License:        GPL-3.0+
Group:          Development/Libraries/C and C++
Conflicts:      samba-devel

%description core-devel
This package contains the libraries and header files needed to
develop programs which make use of the Samba core.

Source Timestamp: %{SOURCE_TIMESTAMP}
Branch:         %{BRANCH}


%endif
%if 0%{?suse_version} && 0%{?suse_version} < 1001 || 0%{?suse_version} > 1110

%package doc
Summary:        Samba Documentation
License:        GPL-3.0+
Group:          Documentation/Other
PreReq:         coreutils
PreReq:         findutils
Provides:       samba-gplv3-doc = %{version}
Obsoletes:      samba-gplv3-doc < %{version}
Provides:       samba-doc-gplv2 = %{version}
Obsoletes:      samba-doc-gplv2 < %{version}
%if 0%{?suse_version} > 1110
BuildArch:      noarch
%endif

%description doc
This package contains all the Samba documentation as it is not part of
the man pages.

Source Timestamp: %{SOURCE_TIMESTAMP}
Branch:         %{BRANCH}


%endif

%package libs
Summary:        Samba libraries
License:        GPL-3.0+
Group:          Development/Libraries/C and C++
Requires:       krb5
PreReq:         /sbin/ldconfig

%description libs
The samba-libs package contains the libraries needed by programs that
link against the SMB, RPC and other protocols provided by the Samba suite.

Source Timestamp: %{SOURCE_TIMESTAMP}
Branch:         %{BRANCH}


%package pidl
Summary:        Perl IDL compiler
License:        GPL-3.0+
Group:          Development/Tools
%if 0%{?suse_version} > 0
Requires:       perl-base
%endif
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description pidl
The samba-pidl package contains the Perl IDL compiler used by Samba
and Wireshark to parse IDL and similar protocols

Source Timestamp: %{SOURCE_TIMESTAMP}
Branch:         %{BRANCH}


%package python
Summary:        Samba Python libraries
License:        GPL-3.0+
Group:          Applications/System
Requires:       %{name} = %{version}
Requires:       pyldb
Requires:       pytalloc
Requires:       python-tdb
Requires:       python-tevent

%description python
The samba-python package contains the Python libraries needed by programs
that use SMB, RPC and other Samba provided protocols in Python programs.

Source Timestamp: %{SOURCE_TIMESTAMP}
Branch:         %{BRANCH}


%package test
Summary:        Testing tools for Samba servers and clients
License:        GPL-3.0+
Group:          Applications/System
Requires:       samba = %{version}
Requires:       samba-winbind = %{version}
PreReq:         /sbin/ldconfig

%description test
samba-test provides testing tools for both the server and client
packages of Samba.

Source Timestamp: %{SOURCE_TIMESTAMP}
Branch:         %{BRANCH}


%package test-devel
Summary:        Testing devel files for Samba servers and clients
License:        GPL-3.0+
Group:          Development/Libraries/C and C++

%description test-devel
samba-test-devel provides testing devel files for both the server and client
packages of Samba.

Source Timestamp: %{SOURCE_TIMESTAMP}
Branch:         %{BRANCH}


%package winbind
Summary:        Winbind Daemon and Tool
License:        GPL-3.0+
Group:          Productivity/Networking/Samba
Provides:       samba-gplv3-winbind = %{version}
Obsoletes:      samba-gplv3-winbind < %{version}
Provides:       samba-client:/usr/sbin/winbindd
Requires:       samba-client >= %{version}
%if 0%{?suse_version}
Requires:       pam-config
%endif
%if 0%{?suse_version} > 1030
Recommends:     cron
Recommends:     logrotate
Recommends:     /usr/sbin/nscd
%endif
%if 0%{?suse_version} > 0
PreReq:         %{?insserv_prereq}
%endif
PreReq:         /sbin/ldconfig
PreReq:         /usr/sbin/groupadd
PreReq:         coreutils

%description winbind
This is the winbind-daemon and the wbinfo-tool.

Source Timestamp: %{SOURCE_TIMESTAMP}
Branch:         %{BRANCH}


%package -n libdcerpc-atsvc0
Summary:        DCE/RPC AT scheduler service library
License:        GPL-3.0+
Group:          System/Libraries

%description -n libdcerpc-atsvc0
ATSVC is a DCE/RPC based protocol used by CIFS hosts to
access/control the AT-Scheduler Service across a network.

Source Timestamp: %{SOURCE_TIMESTAMP}
Branch:         %{BRANCH}


%package -n libdcerpc-atsvc-devel
Summary:        Development files for the DCE/RPC ATSVC library
License:        GPL-3.0+
Group:          Development/Libraries/C and C++
Requires:       libdcerpc-atsvc0 = %{version}

%description -n libdcerpc-atsvc-devel
ATSVC is a DCE/RPC based protocol used by CIFS hosts to
access/control the AT-Scheduler Service across a network.

This subpackage contains libraries and header files for developing
applications that want to make use of libdcerpc-atsvc.

Source Timestamp: %{SOURCE_TIMESTAMP}
Branch:         %{BRANCH}


%package -n libdcerpc-binding0
Summary:        Some samba library
License:        GPL-3.0+
Group:          System/Libraries

%description -n libdcerpc-binding0

Source Timestamp: %{SOURCE_TIMESTAMP}
Branch:         %{BRANCH}


%package -n libdcerpc-samr0
Summary:        Security Account Manager (SAM) Remote Protocol library
License:        GPL-3.0+
Group:          System/Libraries

%description -n libdcerpc-samr0

Source Timestamp: %{SOURCE_TIMESTAMP}
Branch:         %{BRANCH}


%package -n libdcerpc-samr-devel
Summary:        Development files for the SAMR protocol library
License:        GPL-3.0+
Group:          Development/Libraries/C and C++
Requires:       libdcerpc-samr0 = %{version}

%description -n libdcerpc-samr-devel
This subpackage contains libraries and header files for developing
applications that want to make use of libdcerpc-samr.

Source Timestamp: %{SOURCE_TIMESTAMP}
Branch:         %{BRANCH}


%package -n libdcerpc0
Summary:        Distributed Computing Environment Remote Procedure Calls library
License:        GPL-3.0+
Group:          System/Libraries

%description -n libdcerpc0
DCE/RPC, short for "Distributed Computing Environment / Remote
Procedure Calls", is the remote procedure call system developed for
the Distributed Computing Environment (DCE). This system allows
programmers to write distributed software as if it were all working
on the same computer, without having to worry about the underlying
network code.

Source Timestamp: %{SOURCE_TIMESTAMP}
Branch:         %{BRANCH}


%package -n libdcerpc-devel
Summary:        Development files for the DCE/RPC library
License:        GPL-3.0+
Group:          Development/Libraries/C and C++
Requires:       libdcerpc-binding0 = %{version}
Requires:       libdcerpc0 = %{version}
Requires:       samba-core-devel = %{version}

%description -n libdcerpc-devel
DCE/RPC, short for "Distributed Computing Environment / Remote
Procedure Calls", is the remote procedure call system developed for
the Distributed Computing Environment (DCE). This system allows
programmers to write distributed software as if it were all working
on the same computer, without having to worry about the underlying
network code.

This subpackage contains libraries and header files for developing
applications that want to make use of libdcerpc.

Source Timestamp: %{SOURCE_TIMESTAMP}
Branch:         %{BRANCH}


%package -n libgensec0
Summary:        Samba generic security library
License:        GPL-3.0+
Group:          System/Libraries

%description -n libgensec0

Source Timestamp: %{SOURCE_TIMESTAMP}
Branch:         %{BRANCH}


%package -n libgensec-devel
Summary:        Development files for Samba's generic security library
License:        GPL-3.0+
Group:          Development/Libraries/C and C++
Requires:       libgensec0 = %{version}
Requires:       samba-core-devel = %{version}

%description -n libgensec-devel
This subpackage contains libraries and header files for developing
applications that want to make use of libgensec.

Source Timestamp: %{SOURCE_TIMESTAMP}
Branch:         %{BRANCH}


%package -n libndr-krb5pac0
Summary:        NDR marshallers for the KRB5 PAC formats
License:        GPL-3.0+
Group:          System/Libraries

%description -n libndr-krb5pac0

Source Timestamp: %{SOURCE_TIMESTAMP}
Branch:         %{BRANCH}


%package -n libndr-krb5pac-devel
Summary:        Development files for the ndr-krb5pac library
License:        GPL-3.0+
Group:          Development/Libraries/C and C++
Requires:       libndr-krb5pac0 = %{version}
Requires:       samba-core-devel = %{version}

%description -n libndr-krb5pac-devel
This subpackage contains libraries and header files for developing
applications that want to make use of libndr-krb5pac.

Source Timestamp: %{SOURCE_TIMESTAMP}
Branch:         %{BRANCH}


%package -n libndr-nbt0
Summary:        NDR marshallers for NBT formats
License:        GPL-3.0+
Group:          System/Libraries

%description -n libndr-nbt0

Source Timestamp: %{SOURCE_TIMESTAMP}
Branch:         %{BRANCH}


%package -n libndr-nbt-devel
Summary:        Development files for the ndr-nbt library
License:        GPL-3.0+
Group:          Development/Libraries/C and C++
Requires:       libndr-nbt0 = %{version}
Requires:       samba-core-devel = %{version}

%description -n libndr-nbt-devel
This subpackage contains libraries and header files for developing
applications that want to make use of libndr-nbt.

Source Timestamp: %{SOURCE_TIMESTAMP}
Branch:         %{BRANCH}


%package -n libndr-standard0
Summary:        NDR marshallers for the standard set of DCE/RPC interfaces
License:        GPL-3.0+
Group:          System/Libraries

%description -n libndr-standard0

Source Timestamp: %{SOURCE_TIMESTAMP}
Branch:         %{BRANCH}


%package -n libndr-standard-devel
Summary:        Development files for the libndr-standard library
License:        GPL-3.0+
Group:          Development/Libraries/C and C++
Requires:       libndr-standard0 = %{version}
Requires:       samba-core-devel = %{version}

%description -n libndr-standard-devel
This subpackage contains libraries and header files for developing
applications that want to make use of libndr-standard.

Source Timestamp: %{SOURCE_TIMESTAMP}
Branch:         %{BRANCH}


%package -n libndr0
Summary:        Network Data Representation library
License:        GPL-3.0+
Group:          System/Libraries

%description -n libndr0
Network Data Representation (NDR) is an implementation of the
presentation layer in the OSI model.

Source Timestamp: %{SOURCE_TIMESTAMP}
Branch:         %{BRANCH}


%package -n libndr-devel
Summary:        Development files for the Network Data Representation library
License:        GPL-3.0+
Group:          Development/Libraries/C and C++
Requires:       libndr0 = %{version}
Requires:       samba-core-devel = %{version}

%description -n libndr-devel
Network Data Representation (NDR) is an implementation of the
presentation layer in the OSI model.

This subpackage contains libraries and header files for developing
applications that want to make use of libndr.

Source Timestamp: %{SOURCE_TIMESTAMP}
Branch:         %{BRANCH}


%package -n libpdb0
Summary:        Samba3 password database library
License:        GPL-3.0+
Group:          System/Libraries

%description -n libpdb0

Source Timestamp: %{SOURCE_TIMESTAMP}
Branch:         %{BRANCH}


%package -n libpdb-devel
Summary:        Development files for the Samba3 password database library
License:        GPL-3.0+
Group:          Development/Libraries/C and C++
Requires:       libndr-standard-devel = %{version}
Requires:       libpdb0 = %{version}
Requires:       libtevent-devel

%description -n libpdb-devel
This subpackage contains libraries and header files for developing
applications that want to make use of libpdb.

Source Timestamp: %{SOURCE_TIMESTAMP}
Branch:         %{BRANCH}


%package -n libregistry0
Summary:        Windows-style registry library
License:        GPL-3.0+
Group:          System/Libraries

%description -n libregistry0

Source Timestamp: %{SOURCE_TIMESTAMP}
Branch:         %{BRANCH}


%package -n libregistry-devel
Summary:        Development files for the Samba Windows-style registry library
License:        GPL-3.0+
Group:          Development/Libraries/C and C++
Requires:       libregistry0 = %{version}
Requires:       samba-core-devel = %{version}

%description -n libregistry-devel
This subpackage contains libraries and header files for developing
applications that want to make use of libregistry.

Source Timestamp: %{SOURCE_TIMESTAMP}
Branch:         %{BRANCH}


%package -n libsamba-credentials0
Summary:        Samba credential management library
License:        GPL-3.0+
Group:          System/Libraries

%description -n libsamba-credentials0

Source Timestamp: %{SOURCE_TIMESTAMP}
Branch:         %{BRANCH}


%package -n libsamba-credentials-devel
Summary:        Development files for the Samba credential management library
License:        GPL-3.0+
Group:          Development/Libraries/C and C++
Requires:       libsamba-credentials0 = %{version}

%description -n libsamba-credentials-devel
This subpackage contains libraries and header files for developing
applications that want to make use of libsamba-credentials.

Source Timestamp: %{SOURCE_TIMESTAMP}
Branch:         %{BRANCH}


%package -n libsamba-hostconfig0
Summary:        Host-wide Samba configuration library
License:        GPL-3.0+
Group:          System/Libraries

%description -n libsamba-hostconfig0

Source Timestamp: %{SOURCE_TIMESTAMP}
Branch:         %{BRANCH}


%package -n libsamba-hostconfig-devel
Summary:        Development files for the host-wide Samba configuration library
License:        GPL-3.0+
Group:          Development/Libraries/C and C++
Requires:       libsamba-hostconfig0 = %{version}
Requires:       samba-core-devel = %{version}

%description -n libsamba-hostconfig-devel
This subpackage contains libraries and header files for developing
applications that want to make use of libsamba-hostconfig.

Source Timestamp: %{SOURCE_TIMESTAMP}
Branch:         %{BRANCH}


%package -n libsamba-policy0
Summary:        Active Directory Group Policy library
License:        GPL-3.0+
Group:          System/Libraries

%description -n libsamba-policy0

Source Timestamp: %{SOURCE_TIMESTAMP}
Branch:         %{BRANCH}


%package -n libsamba-policy-devel
Summary:        Development files for the Samba AD Group Policy library
License:        GPL-3.0+
Group:          Development/Libraries/C and C++
Requires:       libsamba-policy0 = %{version}

%description -n libsamba-policy-devel
This subpackage contains libraries and header files for developing
applications that want to make use of libsamba-policy.

Source Timestamp: %{SOURCE_TIMESTAMP}
Branch:         %{BRANCH}


%package -n libsamba-util0
Summary:        Samba utility function library
License:        GPL-3.0+
Group:          System/Libraries

%description -n libsamba-util0

Source Timestamp: %{SOURCE_TIMESTAMP}
Branch:         %{BRANCH}


%package -n libsamba-util-devel
Summary:        Development files for the Samba utility function library
License:        GPL-3.0+
Group:          Development/Libraries/C and C++
Requires:       libsamba-util0 = %{version}
Requires:       samba-core-devel = %{version}

%description -n libsamba-util-devel
This subpackage contains libraries and header files for developing
applications that want to make use of libsamba-util.

Source Timestamp: %{SOURCE_TIMESTAMP}
Branch:         %{BRANCH}


%package -n libsamdb0
Summary:        Samba's SAM database library
License:        GPL-3.0+
Group:          System/Libraries

%description -n libsamdb0

Source Timestamp: %{SOURCE_TIMESTAMP}
Branch:         %{BRANCH}


%package -n libsamdb-devel
Summary:        Development files for Samba's SAM database library
License:        GPL-3.0+
Group:          Development/Libraries/C and C++
Requires:       libsamdb0 = %{version}

%description -n libsamdb-devel
This subpackage contains libraries and header files for developing
applications that want to make use of libsamdb.

Source Timestamp: %{SOURCE_TIMESTAMP}
Branch:         %{BRANCH}


%package -n libsmbclient-raw0
Summary:        Samba4's raw SMB client library
License:        GPL-3.0+
Group:          System/Libraries

%description -n libsmbclient-raw0

Source Timestamp: %{SOURCE_TIMESTAMP}
Branch:         %{BRANCH}


%package -n libsmbclient-raw-devel
Summary:        Development files for Samba4's raw SMB client library
License:        GPL-3.0+
Group:          Development/Libraries/C and C++
Requires:       libsmbclient-raw0 = %{version}
Requires:       samba-core-devel = %{version}

%description -n libsmbclient-raw-devel
This subpackage contains libraries and header files for developing
applications that want to make use of libsmbclient-raw.

Source Timestamp: %{SOURCE_TIMESTAMP}
Branch:         %{BRANCH}


%package -n libsmbconf0
Summary:        Samba3 configuration library
License:        GPL-3.0+
Group:          System/Libraries

%description -n libsmbconf0
libsmbconf is a library to read or, based on the backend, modify the
Samba configuration.

Source Timestamp: %{SOURCE_TIMESTAMP}
Branch:         %{BRANCH}


%package -n libsmbconf-devel
Summary:        Development files for the Samba3 configuration library
License:        GPL-3.0+
Group:          Development/Libraries/C and C++
Requires:       libsmbconf0 = %{version}

%description -n libsmbconf-devel
libsmbconf is a library to read or, based on the backend, modify the
Samba configuration.

This subpackage contains libraries and header files for developing
applications that want to make use of libsmbconf.

Source Timestamp: %{SOURCE_TIMESTAMP}
Branch:         %{BRANCH}


%package -n libsmbldap0
Summary:        Samba LDAP protocol helper function library
License:        GPL-3.0+
Group:          System/Libraries

%description -n libsmbldap0
libsmbldap contains LDAP protocol helper functions for Samba.

Source Timestamp: %{SOURCE_TIMESTAMP}
Branch:         %{BRANCH}


%package -n libsmbldap-devel
Summary:        Development files for the smbldap library
License:        GPL-3.0+
Group:          Development/Libraries/C and C++
Requires:       libsmbldap0 = %{version}
Requires:       libtalloc-devel
Requires:       libtevent-devel
Requires:       openldap2-devel

%description -n libsmbldap-devel
libsmbldap contains LDAP protocol helper functions for Samba.

This subpackage contains libraries and header files for developing
applications that want to make use of libsmbldap.

Source Timestamp: %{SOURCE_TIMESTAMP}
Branch:         %{BRANCH}


%package -n libtevent-util0
Summary:        tevent <-> system status code conversion utility library
License:        GPL-3.0+
Group:          System/Libraries

%description -n libtevent-util0
The libtevent-util library contains functions to convert tevent error
codes to platform-specific (errno, NTSTATUS, WERROR) ones.

Source Timestamp: %{SOURCE_TIMESTAMP}
Branch:         %{BRANCH}


%package -n libtevent-util-devel
Summary:        Development files for the Samba tevent utility library
License:        GPL-3.0+
Group:          Development/Libraries/C and C++
Requires:       libtevent-devel
Requires:       libtevent-util0 = %{version}
Requires:       samba-core-devel = %{version}

%description -n libtevent-util-devel
The libtevent-util library contains functions to convert tevent error
codes to platform-specific (errno, NTSTATUS, WERROR) ones.

This subpackage contains libraries and header files for developing
applications that want to make use of libtevent-util.

Source Timestamp: %{SOURCE_TIMESTAMP}
Branch:         %{BRANCH}


%package -n %{libsmbclient_name}
%if 0%{?suse_version} > 1030
Provides:       libsmbclient = %{version}
Obsoletes:      libsmbclient
%endif
Summary:        Samba Client Library
License:        GPL-3.0+
Group:          System/Libraries
PreReq:         /sbin/ldconfig

%description -n %{libsmbclient_name}
This package includes the libsmbclient library.

libsmbclient is provided by the libsmbclient0 package.

Source Timestamp: %{SOURCE_TIMESTAMP}
Branch:         %{BRANCH}


%package -n libsmbclient-devel
Summary:        Libraries and Header Files to Develop Programs with smbclient Support
License:        GPL-3.0+
Group:          Development/Libraries/C and C++
BuildRequires:  %{pkgconfig_req}
Requires:       %{libsmbclient_name} = %{version}
Requires:       krb5-devel

%description -n libsmbclient-devel
This package contains the static libraries and header files needed to
develop programs which make use of the smbclient programming interface.

Source Timestamp: %{SOURCE_TIMESTAMP}
Branch:         %{BRANCH}


%package -n %{libnetapi_name}
Summary:        Samba netapi Library
License:        GPL-3.0+
Group:          System/Libraries
PreReq:         /sbin/ldconfig

%description -n %{libnetapi_name}
This package includes the netapi library.

Source Timestamp: %{SOURCE_TIMESTAMP}
Branch:         %{BRANCH}


%package -n libnetapi-devel
Summary:        Libraries and Header Files to Develop Programs with netapi Support
License:        GPL-3.0+
Group:          Development/Libraries/C and C++
BuildRequires:  %{pkgconfig_req}
Requires:       %{libnetapi_name} = %{version}

%description -n libnetapi-devel
This package contains the static libraries and header files needed to
develop programs which make use of the netapi programming interface.

Source Timestamp: %{SOURCE_TIMESTAMP}
Branch:         %{BRANCH}


%package -n %{libsmbsharemodes_name}
%if 0%{?suse_version} > 1030
Provides:       libsmbsharemodes = %{version}
Obsoletes:      libsmbsharemodes
%endif
Summary:        Samba smbsharemodes Library
License:        GPL-3.0+
Group:          System/Libraries
PreReq:         /sbin/ldconfig

%description -n %{libsmbsharemodes_name}
This package includes the smbsharemodes library.

Source Timestamp: %{SOURCE_TIMESTAMP}
Branch:         %{BRANCH}


%package -n libsmbsharemodes-devel
Summary:        Libraries and Header Files to Develop Programs with smbsharemodes Support
License:        GPL-3.0+
Group:          Development/Libraries/C and C++
BuildRequires:  %{pkgconfig_req}
Requires:       %{libsmbsharemodes_name} = %{version}

%description -n libsmbsharemodes-devel
This package contains the static libraries and header files needed to
develop programs which make use of the smbsharemodes programming interface.

Source Timestamp: %{SOURCE_TIMESTAMP}
Branch:         %{BRANCH}


%package -n %{libwbclient_name}
Summary:        Samba libwbclient Library
License:        LGPL-3.0+
Group:          System/Libraries
PreReq:         /sbin/ldconfig

%description -n %{libwbclient_name}
This package includes the wbclient library.

Source Timestamp: %{SOURCE_TIMESTAMP}
Branch:         %{BRANCH}


%package -n libwbclient-devel
Summary:        Libraries and Header Files to Develop Programs with wbclient Support
License:        LGPL-3.0+
Group:          Development/Libraries/C and C++
BuildRequires:  %{pkgconfig_req}
Requires:       %{libwbclient_name} = %{version}

%description -n libwbclient-devel
This package contains the static libraries and header files needed to
develop programs which make use of the wbclient programming interface.

Source Timestamp: %{SOURCE_TIMESTAMP}
Branch:         %{BRANCH}


%prep
%if 0%{?suse_version} > 1220
gzip -dc %{SOURCE0} >${RPM_SOURCE_DIR}/%{name}-%{samba_ver_full}.tar
%{?gpg_verify: %gpg_verify --keyring %{SOURCE6} %{SOURCE5}}
rm ${RPM_SOURCE_DIR}/%{name}-%{samba_ver_full}.tar
%endif
%setup -n samba-%{samba_ver_full} -q
# patches
%setup -T -D -a 2 -n samba-%{samba_ver_full} -q
for patch in $( patches/tools/guards %{guards_symbols} <patches/series); do
	if ! patch -s -E -p0 --no-backup-if-mismatch -i patches/$patch; then
		echo "*** Patch $patch failed ***"
		exit 1
	fi
done
# vendor-files (config, scripts, tools)
%setup -T -D -a 1 -n samba-%{samba_ver_full} -q
for file in docs/htmldocs/index.html vendor-files/docu/README.vendor; do
	sed -e "s/VENDOR/%{VENDOR}/g" "${file}" >"${file}.new" && \
		mv "${file}.new" "${file}"
done
install -m 0644 -p vendor-files/docu/rfc3454.txt source4/heimdal/lib/wind/
# Create and add vendor suffix
test -f vendor-files/tools/package-data && \
	. vendor-files/tools/package-data
if test "%{_project}" != "openSUSE:Factory"; then
	vendor_tag_release=$( grep -m 1 ^Release: ${RPM_SOURCE_DIR}/samba.spec | \
		while read tag release; do \
			echo -n "${release:+${release}-}"; \
		done)
else
	vendor_tag_release=""
fi
vendor_tag=$( echo -n "${vendor_tag_release}"; \
	echo -n "${SAMBA_PACKAGE_SVN_VERSION:+${SAMBA_PACKAGE_SVN_VERSION}-}" )
# Create product suffix
test 0%{?centos_version} -gt 0 && product_version=%{?centos_version}
test 0%{?fedora_version} -gt 0 && product_version=%{?fedora_version}
test 0%{?mandriva_version} -gt 0 && product_version=%{?mandriva_version}
test 0%{?rhel_version} -gt 0 && product_version=%{?rhel_version}
test 0%{?suse_version} -gt 0 && product_version=%{?suse_version}
%if 0%{?suse_version} > 0
major_version=$((${product_version}/100))
minor_version=$((${product_version}/10))
minor_version="${minor_version#$major_version}"
product_version="${major_version}.${minor_version}"
case "%{suse_version}" in
	1010) product_suffix="-SLE_10" ;;
	1110) product_suffix="-SLE_11" ;;
	1315) product_suffix="-SLE_12" ;;
	*) product_suffix="-oS${product_version}" ;;
esac
%else
product_suffix="-OBS"
%endif
# Add the build architecture
test "%{_build_arch}" != "" && \
	product_suffix="${product_suffix}-%{_build_arch}"
# Set SAMBA_VERSION_VENDOR_SUFFIX in the VERSION file
mv VERSION VERSION.orig
sed -e "s/^SAMBA_VERSION_VENDOR_SUFFIX=$/SAMBA_VERSION_VENDOR_SUFFIX=${vendor_tag}%{VENDOR}${product_suffix}/" VERSION.orig >VERSION

%build
%if 0%{?suse_version} && 0%{?suse_version} < 911
	OPTIMIZATION="-O"
%else
	# use the default optimization
	unset OPTIMIZATION
%endif
%if 0%{?suse_version} > 1110
	export SUSE_ASNEEDED=0
%endif
export CFLAGS="%{optflags} -D_GNU_SOURCE ${OPTIMIZATION} -D_LARGEFILE64_SOURCE -DIDMAP_RID_SUPPORT_TRUSTED_DOMAINS"
%if 0%{?suse_version} && 0%{?suse_version} < 1141
%{?suse_update_config:%{suse_update_config -f}}
%endif
CONFIGURE_OPTIONS="\
	--prefix=%{_prefix} \
	--localstatedir=%{_localstatedir} \
	--sysconfdir=%{CONFIGDIR} \
	--with-configdir=%{CONFIGDIR} \
	--libdir=%{_libdir} \
	--with-cachedir=%{LOCKDIR} \
	--with-lockdir=%{LOCKDIR} \
	--with-logfilebase=%{LOGDIR} \
	--mandir=%{_mandir} \
	--with-modulesdir=%{_libdir}/samba \
	--enable-cups \
	--enable-debug \
	--enable-fhs \
	--with-acl-support \
	--with-automount \
	--with-ads \
	--with-dnsupdate \
	--with-pam \
	--with-pammodulesdir=%{_lib}/security \
	--with-pam_smbpass \
	--with-piddir=%{PIDDIR} \
	--with-privatedir=%{CONFIGDIR} \
	--with-quotas \
	--with-syslog \
%if 0%{?suse_version} > 1220
	--with-systemd \
%endif
	--with-utmp \
	--with-winbind \
	--with-shared-modules=%{auth_modules},%{vfs_modules},%{pdb_modules},%{idmap_modules} \
%if %with_mitkrb5
	--with-system-mitkrb5 \
%endif
%if ! %with_dc
	--without-ad-dc \
%endif
	--bundled-libraries=!heimdal,!popt,!zlib,\
!ldb,!pyldb,\
!talloc,!pytalloc,!pytalloc-util,\
!tdb,!pytdb,\
!tevent,!pytevent \
"
./configure ${CONFIGURE_OPTIONS}
make %{build_make_smp_mflags} \
	all

pushd pidl
%{__perl} Makefile.PL INSTALLDIRS=vendor
popd

%install
install -d -m 0755 -p \
	%{buildroot}/%{_sysconfdir}/{pam.d,xinetd.d,logrotate.d} \
	%{buildroot}/%{_sysconfdir}/openldap/schema \
	%{buildroot}/%{_sysconfdir}/sysconfig/%{NET_CFGDIR}/{if-{down,up}.d,scripts} \
%if 0%{?suse_version} && 0%{?suse_version} > 1020
	%{buildroot}/%{_sysconfdir}/sysconfig/SuSEfirewall2.d/services \
%endif
	%{buildroot}/%{_sysconfdir}/security \
	%{buildroot}/%{_sysconfdir}/slp.reg.d \
	%{buildroot}/%{CONFIGDIR} \
%if 0%{?suse_version} > 1220
	%{buildroot}/%{_unitdir} \
%else
	%{buildroot}/%{INITDIR} \
%endif
	%{buildroot}/%{_lib}/security \
	%{buildroot}/sbin \
	%{buildroot}/%{_includedir} \
	%{buildroot}/%{_libdir}/pkgconfig \
	%{buildroot}/%{_libdir}/python/lib-dynload \
	%{buildroot}/%{_libdir}/samba/{config,vfs,rpc,auth,charset,idmap} \
	%{buildroot}/%{_datadir}/omc/svcinfo.d \
	%{buildroot}/%{_datadir}/samba/{LDAP,templates} \
	%{buildroot}/%{_localstatedir}/adm \
	%{buildroot}/%{LOCKDIR}/{netlogon,drivers/{WIN40,W32X86,W32MIPS,W32ALPHA,W32PPC,IA64,x64},printing,profiles,winbindd_privileged} \
	%{buildroot}/%{LOGDIR} \
	%{buildroot}/%{PIDDIR} \
	%{buildroot}/%{_var}/adm/fillup-templates \
	%{buildroot}/%{_var}/cache/krb5rcache \
	%{buildroot}/%{_var}/run \
	%{buildroot}/%{DOCDIR} \
	%{buildroot}/%{DOCBOOKDIR} \
	%{buildroot}/%{_datadir}/susehelp/meta/Administration/System

make install \
	DESTDIR=%{buildroot} \
	CONFIGDIR=%{CONFIGDIR}

# remove ildap.so and ldbsamba_extensions.so from %{_libdir}/samba/ldb
%if ! %with_dc
rm -r %{buildroot}/%{_libdir}/samba/ldb
%endif

# Clean out files left behind by the PIDL install.
rm -r %{buildroot}/%{perl_vendorlib}/Parse/Yapp

# utility scripts
scripts="creategroup mksmbpasswd.sh"
install -d -m 0755 examples/scripts
for i in $scripts; do
	install -m 0755 "source3/script/${i}" examples/scripts/${i}
done
# configuration files
pushd vendor-files
echo "# smb.conf is the main Samba configuration file. You find a full commented" >config/smb.conf
echo "# version at %{DOCDIR}/examples/smb.conf.%{VENDOR} if the" >>config/smb.conf
echo "# samba-doc package is installed." >>config/smb.conf
grep -v "\(^#\|^;\|^$\)" config/smb.conf.vendor >>config/smb.conf
install -p -m 0644 config/smb.conf.vendor ../examples/smb.conf.%{VENDOR}
for file in smb.conf lmhosts smbusers smbpasswd smbusers; do
	install -m 0644 "config/${file}" %{buildroot}/%{CONFIGDIR}/${file}
done
%if 0%{?suse_version} && 0%{?suse_version} < 1221
	install -m 0644 -p config/cifstab %{buildroot}/%{CONFIGDIR}/%{cifs_init_script}tab
%endif
section_names=$( sed -ne 's/^\[\(.*\)\]$/\1/p' config/smb.conf)
for section in $section_names; do
%if 0%{?suse_version} > 0 && 0%{?suse_version} < 1211
	LD_LIBRARY_PATH=../source3/bin/ \
%endif
	../source3/bin/testparm -s --section-name "${section}" config/smb.conf >"%{buildroot}/%{_datadir}/samba/templates/default-${section}" || :
done
for file in config/templates/*; do
	cp -a "${file}" "%{buildroot}/%{_datadir}/samba/templates/"
done
# start scripts
scriptSuffix=""
%if 0%{?suse_version}
if test 0%{?suse_version} -lt 901; then
	scriptSuffix="-900"
elif test 0%{?suse_version} -lt 1011; then
	scriptSuffix="-1010"
elif test 0%{?suse_version} -lt 1111; then
	scriptSuffix="-1110"
elif test 0%{?suse_version} -lt 1131; then
	scriptSuffix="-1130"
fi
%endif
startScripts="smb nmb winbind"
%if 0%{?suse_version} && 0%{?suse_version} < 1221
	startScripts="${startScripts} %{cifs_init_script}"
%endif
%if 0%{?suse_version} > 1220
for srv_name in nmb smb winbind; do
	install -m 0644 -p systemd/${srv_name}.service %{buildroot}/%{_unitdir}
	ln -s ../../%{_sbindir}/service %{buildroot}/%{_sbindir}/rc${srv_name}
done
install -m 0644 systemd/sysconfig.* %{buildroot}%_var/adm/fillup-templates
install -d -m 0755 %{buildroot}%{_prefix}/lib/tmpfiles.d
install -m 0644 -p ../packaging/systemd/samba.conf.tmp %{buildroot}%{_prefix}/lib/tmpfiles.d/samba.conf
%else
for script in ${startScripts}; do
	install -m 0755 "init/${script}${scriptSuffix}" \
		"%{buildroot}/%{INITDIR}/${script}"
	ln -s "%{INITDIR}/${script}" "%{buildroot}/%{_sbindir}/rc${script}"
done
%endif
for script in ${startScripts}; do
	SERVICE_NAME=$( echo "${script}" | tr [:lower:] [:upper:])
	sed \
		-e "s#__SERVICE_NAME#${SERVICE_NAME}#g" \
		-e "s#__SERVICE_SCRIPT_NAME#${script}#g" \
			init/template.xml \
			>"%{buildroot}/%{_datadir}/omc/svcinfo.d/${script}.xml"
done
install -m 0755 tools/nmbstatus %{buildroot}/%{_bindir}/nmbstatus
pod2man tools/nmbstatus >%{buildroot}/%{_mandir}/man1/nmbstatus.1
install -m 0755 tools/update-apparmor-samba-profile \
	%{buildroot}/%{_datadir}/samba/
# PDF generator
install -p -m 0755 tools/smbprngenpdf %{buildroot}/%{_bindir}/smbprngenpdf
install -m 0644 config/samba.reg %{buildroot}/%{_sysconfdir}/slp.reg.d/samba.reg
install -m 0644 config/samba.pamd-common %{buildroot}/%{_sysconfdir}/pam.d/samba
install -m 0644 config/dhcp.conf %{buildroot}/%{_var}/adm/fillup-templates/samba-client-dhcp.conf
install -m 0644 config/sysconfig.dhcp-samba-client %{buildroot}/%{_var}/adm/fillup-templates/sysconfig.dhcp-samba-client
for script in dhcpcd-hook-samba dhcpcd-hook-samba-functions samba-winbindd; do
	install -m 0755 "tools/${script}" "%{buildroot}/%{_sysconfdir}/sysconfig/%{NET_CFGDIR}/scripts/${script}"
done
%if 0%{?suse_version} && 0%{?suse_version} < 1221
	touch %{buildroot}/var/run/%{cifs_init_script}
%if 0%{?suse_version} < 1121
	sed -e 's/cifs/smbfs/g' tools/cifs >%{buildroot}/%{_sysconfdir}/sysconfig/%{NET_CFGDIR}/scripts/%{cifs_init_script}
	touch --reference=tools/cifs %{buildroot}/%{_sysconfdir}/sysconfig/%{NET_CFGDIR}/scripts/%{cifs_init_script}
%else
	install -m 0755 -p tools/cifs %{buildroot}/%{_sysconfdir}/sysconfig/%{NET_CFGDIR}/scripts/%{cifs_init_script}
%endif
%endif
# Create ghosts for the symlinks
for script in 21-dhcpcd-hook-samba 55-samba-winbindd; do
	touch %{buildroot}/%{_sysconfdir}/sysconfig/%{NET_CFGDIR}/if-{down,up}.d/${script}
done
%if 0%{?suse_version} && 0%{?suse_version} < 1221
	touch %{buildroot}/%{_sysconfdir}/sysconfig/%{NET_CFGDIR}/if-{down,up}.d/21-%{cifs_init_script}
%endif
# Install SuSEfirewall2 config files
%if 0%{?suse_version} && 0%{?suse_version} > 1020
install -m 0644 config/sysconfig.firewall.netbios-server \
	%{buildroot}%{_sysconfdir}/sysconfig/SuSEfirewall2.d/services/netbios-server
install -m 0644 config/sysconfig.firewall.samba-server \
	%{buildroot}%{_sysconfdir}/sysconfig/SuSEfirewall2.d/services/samba-server
%endif
%if 0%{?suse_version} && 0%{?suse_version} > 1100
install -m 0644 config/sysconfig.firewall.samba-client \
	%{buildroot}%{_sysconfdir}/sysconfig/SuSEfirewall2.d/services/samba-client
%endif
# Add logrotate settings for nmbd and smbd only on systems newer than 8.1.
%if 0%{?suse_version} && 0%{?suse_version} < 811
	LOGROTATE_FILES="samba-winbind"
	rm -f "${RPM_BUILD_DIR}/samba-%{samba_ver_full}/filelist-samba"
	touch "${RPM_BUILD_DIR}/samba-%{samba_ver_full}/filelist-samba"
%else
	LOGROTATE_FILES="samba samba-winbind"
%endif
for file in ${LOGROTATE_FILES}; do
	install -m 0644 logrotate/${file} %{buildroot}/%{_sysconfdir}/logrotate.d/${file}
	rm -f "${RPM_BUILD_DIR}/samba-%{samba_ver_full}/filelist-${file}"
	touch "${RPM_BUILD_DIR}/samba-%{samba_ver_full}/filelist-${file}"
	echo "%config(noreplace) %{_sysconfdir}/logrotate.d/${file}" >>${RPM_BUILD_DIR}/samba-%{samba_ver_full}/filelist-${file}
done
install -m 0644 docu/README.vendor %{buildroot}/%{DOCDIR}/README.%{VENDOR}
# SuSEhelp files
install -m 0644 docu/Samba.desktop %{buildroot}/%{_datadir}/susehelp/meta/Administration/System/Samba.desktop
install -d -m 0755 -p ../docs/htmldocs
install -m 0644 docu/manpages.html ../docs/htmldocs/manpages.html
popd
# winbind stuff
install -m 0644 examples/pam_winbind/pam_winbind.conf %{buildroot}/%{_sysconfdir}/security/pam_winbind.conf
# install nsswitch-headers (for squid, etc. #FIXME)
install -d -m 0755 \
	%{buildroot}/%{_includedir}/samba/nsswitch \
	%{buildroot}/%{_includedir}/samba/winbindd
for file in winbind_client.h winbind_nss_config.h winbind_nss_linux.h; do
	install -m 0644 "nsswitch/${file}" %{buildroot}/%{_includedir}/samba/nsswitch/${file}
done
for file in winbindd.h winbindd_proto.h; do
	install -m 0644 "source3/winbindd/${file}" %{buildroot}/%{_includedir}/samba/winbindd/${file}
done
# cups SMB support
mkdir	-p %{buildroot}/%{cups_lib_dir}/backend/
touch %{buildroot}/%{cups_lib_dir}/backend/smb
# pam_smbpass is missing
cp -a source3/pam_smbpass/samples examples/pam_smbpass
install -m 0644 source3/pam_smbpass/CHANGELOG examples/pam_smbpass/CHANGELOG
install -m 0644 source3/pam_smbpass/INSTALL examples/pam_smbpass/INSTALL
install -m 0644 source3/pam_smbpass/README examples/pam_smbpass/README
install -m 0644 source3/pam_smbpass/TODO examples/pam_smbpass/TODO
mv COPYING README Roadmap WHATSNEW.txt %{buildroot}/%{DOCDIR}/
# this is empty
rm -rf docs/yodldocs
rm -rf docs/manpages
cp -a docs/* %{buildroot}/%{DOCDIR}
rm -rf "%{buildroot}/%{DOCBOOKDIR}"
rm -f examples/VFS/*~
cp -a examples/ %{buildroot}/%{DOCDIR}
# finally build filelist-samba-doc
for file in $( find %{buildroot}%{DOCDIR} -maxdepth 1); do
	# exclude %{DOCDIR}, README, and docbook
	case "${file#%{buildroot}}" in
		%{DOCDIR}|%{DOCDIR}/README.%{VENDOR}|%{DOCDIR}/docbook) continue ;;
	esac
	echo "%doc ${file#%{buildroot}}" >>"${RPM_BUILD_DIR}/samba-%{samba_ver_full}/filelist-samba-doc"
done
for file in $( find %{buildroot}%{_libdir}/samba/vfs/ -mindepth 1 ); do
	echo "${file#%{buildroot}}" >>${RPM_BUILD_DIR}/samba-%{samba_ver_full}/filelist-samba
done
# copy the schema
install -m 0644 examples/LDAP/samba.schema %{buildroot}/%{_sysconfdir}/openldap/schema/samba3.schema
install -m 0644 examples/LDAP/samba-nds.schema %{buildroot}/%{_datadir}/samba/LDAP/samba-nds.schema
# Clean up installed doc if we have a noarch doc package
%if 0%{?suse_version} == 0 || 0%{?suse_version} > 1000 && 0%{?suse_version} < 1120
while read file; do
	rm -r "%{buildroot}/${file#%* }"
done <"${RPM_BUILD_DIR}/samba-%{samba_ver_full}/filelist-samba-doc"
for file in %{_datadir}/susehelp; do
	rm -r "%{buildroot}/${file}"
done
pushd "%{buildroot}/%{DOCDIR}"
for file in $( find . -mindepth 1 -maxdepth 1);do
	test "${file}" = "./README.%{VENDOR}" && continue
	rm -r "${file}"
done
popd
%endif
# Hardlink duplicate files
%if 0%{?suse_version} > 1110
%fdupes %{buildroot}
%endif

%pre
getent group ntadmin >/dev/null || groupadd -g 71 -o -r ntadmin || :
%if 0%{?suse_version} > 1220
%service_add_pre nmb.service smb.service
%endif

%preun
%if 0%{?suse_version} > 1220
%service_del_preun nmb.service smb.service
%else
%{?stop_on_removal:%{stop_on_removal smb nmb}}
%endif

%post
%if 0%{?suse_version} > 1220
%service_add_post nmb.service smb.service
%{_bindir}/systemd-tmpfiles --create %{_tmpfilesdir}/samba.conf
%fillup_only
%endif

%postun
%if 0%{?suse_version} > 1220
%service_del_postun nmb.service smb.service
%else
%{?restart_on_update:%{restart_on_update nmb smb}}
%{?insserv_cleanup:%{insserv_cleanup}}
%endif

%pre client
%if 0%{?suse_version} && 0%{?suse_version} < 1221
# non SUSE + 11.3 an newer, update, no cifstab, but smbfstab
if [ ! 0%{?suse_version} -lt 1121 -a \
	${1:-0} -gt 1 -a \
	! -e /etc/samba/cifstab -a \
	-f /etc/samba/smbfstab ]; then
	cp -a /etc/samba/smbfstab /var/adm/backup/etc_samba_smbfstab-move
	chkconfig -c smbfs && >/var/adm/backup/etc_samba_smbfs-enabled || :
fi
%endif

%preun client
%{?stop_on_removal:%{stop_on_removal %cifs_init_script}}

%post client
/sbin/ldconfig
if [ ${1:-0} -eq 1 ]; then
# Only insserv cifs if we're not in update mode.
%if 0%{?suse_version} > 0 && 0%{?suse_version} < 1131
%{?insserv_force_if_yast:%{insserv_force_if_yast %{cifs_init_script}}}
%endif
	ln -fs %{_sysconfdir}/sysconfig/%{NET_CFGDIR}/scripts/dhcpcd-hook-samba %{_sysconfdir}/sysconfig/%{NET_CFGDIR}/if-down.d/21-dhcpcd-hook-samba
	ln -fs %{_sysconfdir}/sysconfig/%{NET_CFGDIR}/scripts/dhcpcd-hook-samba %{_sysconfdir}/sysconfig/%{NET_CFGDIR}/if-up.d/21-dhcpcd-hook-samba
%if 0%{?suse_version} && 0%{?suse_version} < 1221
	ln -fs %{_sysconfdir}/sysconfig/%{NET_CFGDIR}/scripts/%{cifs_init_script} %{_sysconfdir}/sysconfig/%{NET_CFGDIR}/if-down.d/21-%{cifs_init_script}
	ln -fs %{_sysconfdir}/sysconfig/%{NET_CFGDIR}/scripts/%{cifs_init_script} %{_sysconfdir}/sysconfig/%{NET_CFGDIR}/if-up.d/21-%{cifs_init_script}
%endif
else
	for if_case in if-down.d if-up.d; do
		test -h %{_sysconfdir}/sysconfig/%{NET_CFGDIR}/${if_case}/dhcpcd-hook-samba || \
			continue
		rm -f %{_sysconfdir}/sysconfig/%{NET_CFGDIR}/${if_case}/dhcpcd-hook-samba
		ln -fs %{_sysconfdir}/sysconfig/%{NET_CFGDIR}/scripts/dhcpcd-hook-samba %{_sysconfdir}/sysconfig/%{NET_CFGDIR}/${if_case}/21-dhcpcd-hook-samba
%if 0%{?suse_version} && 0%{?suse_version} < 1221
		test -h %{_sysconfdir}/sysconfig/%{NET_CFGDIR}/${if_case}/%{cifs_init_script} || \
			continue
		rm -f %{_sysconfdir}/sysconfig/%{NET_CFGDIR}/${if_case}/%{cifs_init_script}
		ln -fs %{_sysconfdir}/sysconfig/%{NET_CFGDIR}/scripts/%{cifs_init_script} %{_sysconfdir}/sysconfig/%{NET_CFGDIR}/${if_case}/21-%{cifs_init_script}
%endif
	done
fi
%if 0%{?suse_version} && 0%{?suse_version} < 1221
if [ ${1:-0} -gt 1 -a -f /var/adm/backup/etc_samba_smbfstab-move ]; then
	test -f /etc/samba/cifstab && \
		mv /etc/samba/cifstab /etc/samba/cifstab.rpmnew
	mv /var/adm/backup/etc_samba_smbfstab-move /etc/samba/cifstab
	if [ -f /var/adm/backup/etc_samba_smbfs-enabled ]; then
		chkconfig -a cifs >/dev/null
		rm /var/adm/backup/etc_samba_smbfs-enabled
	fi
fi
%endif
%if 0%{?suse_version} > 1220
%{fillup_only -ans samba client}
%endif
%{?fillup_only:%{fillup_only -nsd dhcp samba-client network}}

%postun client
/sbin/ldconfig
%{?insserv_cleanup:%{insserv_cleanup}}

%post   -n libdcerpc-atsvc0 -p /sbin/ldconfig
%postun -n libdcerpc-atsvc0 -p /sbin/ldconfig
%post   -n libdcerpc-binding0 -p /sbin/ldconfig
%postun -n libdcerpc-binding0 -p /sbin/ldconfig
%post   -n libdcerpc-samr0 -p /sbin/ldconfig
%postun -n libdcerpc-samr0 -p /sbin/ldconfig
%post   -n libdcerpc0 -p /sbin/ldconfig
%postun -n libdcerpc0 -p /sbin/ldconfig
%post   -n libgensec0 -p /sbin/ldconfig
%postun -n libgensec0 -p /sbin/ldconfig
%post   -n libndr-krb5pac0 -p /sbin/ldconfig
%postun -n libndr-krb5pac0 -p /sbin/ldconfig
%post   -n libndr-nbt0 -p /sbin/ldconfig
%postun -n libndr-nbt0 -p /sbin/ldconfig
%post   -n libndr-standard0 -p /sbin/ldconfig
%postun -n libndr-standard0 -p /sbin/ldconfig
%post   -n libndr0 -p /sbin/ldconfig
%postun -n libndr0 -p /sbin/ldconfig

%post -n %{libnetapi_name} -p /sbin/ldconfig

%postun -n %{libnetapi_name} -p /sbin/ldconfig

%post   -n libpdb0 -p /sbin/ldconfig
%postun -n libpdb0 -p /sbin/ldconfig
%post   -n libregistry0 -p /sbin/ldconfig
%postun -n libregistry0 -p /sbin/ldconfig
%post   -n libsamba-credentials0 -p /sbin/ldconfig
%postun -n libsamba-credentials0 -p /sbin/ldconfig
%post   -n libsamba-hostconfig0 -p /sbin/ldconfig
%postun -n libsamba-hostconfig0 -p /sbin/ldconfig
%post   -n libsamba-policy0 -p /sbin/ldconfig
%postun -n libsamba-policy0 -p /sbin/ldconfig
%post   -n libsamba-util0 -p /sbin/ldconfig
%postun -n libsamba-util0 -p /sbin/ldconfig
%post   -n libsamdb0 -p /sbin/ldconfig
%postun -n libsamdb0 -p /sbin/ldconfig
%post   -n libsmbclient-raw0 -p /sbin/ldconfig
%postun -n libsmbclient-raw0 -p /sbin/ldconfig
%post   -n libsmbconf0 -p /sbin/ldconfig
%postun -n libsmbconf0 -p /sbin/ldconfig
%post   -n libsmbldap0 -p /sbin/ldconfig
%postun -n libsmbldap0 -p /sbin/ldconfig
%post   -n libtevent-util0 -p /sbin/ldconfig
%postun -n libtevent-util0 -p /sbin/ldconfig

%post -n %{libwbclient_name} -p /sbin/ldconfig

%postun -n %{libwbclient_name} -p /sbin/ldconfig

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%post pidl -p /sbin/ldconfig

%postun pidl -p /sbin/ldconfig

%post test -p /sbin/ldconfig

%postun test -p /sbin/ldconfig

%pre winbind
# we need this group for squid (ntlmauth)
# read access to /var/lib/samba/winbindd_privileged
getent group winbind >/dev/null || groupadd -r winbind || :
%if 0%{?suse_version} > 1220
%service_add_pre winbind.service
%endif

%post winbind
/sbin/ldconfig
if test ${1:-0} -eq 1; then
	ln -fs %{_sysconfdir}/sysconfig/%{NET_CFGDIR}/scripts/samba-winbindd %{_sysconfdir}/sysconfig/%{NET_CFGDIR}/if-down.d/55-samba-winbindd
	ln -fs %{_sysconfdir}/sysconfig/%{NET_CFGDIR}/scripts/samba-winbindd %{_sysconfdir}/sysconfig/%{NET_CFGDIR}/if-up.d/55-samba-winbindd
else
	for if_case in if-down.d if-up.d; do
		test -h %{_sysconfdir}/sysconfig/%{NET_CFGDIR}/${if_case}/samba-winbindd || \
			continue
		rm -f %{_sysconfdir}/sysconfig/%{NET_CFGDIR}/${if_case}/samba-winbindd
		ln -fs %{_sysconfdir}/sysconfig/%{NET_CFGDIR}/scripts/samba-winbindd %{_sysconfdir}/sysconfig/%{NET_CFGDIR}/${if_case}/55-samba-winbindd
	done
fi
%if 0%{?suse_version} > 1220
%service_add_post winbind.service
%{_bindir}/systemd-tmpfiles --create %{_tmpfilesdir}/samba.conf
%{fillup_only -ans samba winbind}
%endif

%preun winbind
%if 0%{?suse_version} > 1220
%service_del_preun winbind.service
%else
%{?stop_on_removal:%{stop_on_removal winbind}}
%endif

%postun winbind
/sbin/ldconfig
%if 0%{?suse_version}
if [ $1 -eq 0 ]; then
%{_sbindir}/pam-config --delete --winbind
if [ -x %{_sbindir}/nscd ]; then
	%{_sbindir}/nscd -i passwd
	%{_sbindir}/nscd -i group
fi
fi
%endif
%if 0%{?suse_version} > 1220
%service_del_postun winbind.service
%else
%{?restart_on_update:%{restart_on_update winbind}}
%{?insserv_cleanup:%{insserv_cleanup}}
%endif

%post -n %{libsmbclient_name} -p /sbin/ldconfig

%postun -n %{libsmbclient_name} -p /sbin/ldconfig

%post -n %{libsmbsharemodes_name} -p /sbin/ldconfig

%postun -n %{libsmbsharemodes_name} -p /sbin/ldconfig

%clean
[ x"%{buildroot}" = x"/" ] && ( echo "your buildroot is /" && exit 0) || rm -rf "%{buildroot}"
if [ -e ${RPM_SOURCE_DIR}/baselibs.conf -a 0%{?suse_version} -gt 0 -a 0%{?suse_version} -lt 1110 ]; then
sed -i -e 's, supplements .*,,' ${RPM_SOURCE_DIR}/baselibs.conf
fi

%files -f filelist-samba
%defattr(-,root,root)
%if 0%{?suse_version} < 1221
%attr(0754,root,root) %config %{INITDIR}/nmb
%attr(0754,root,root) %config %{INITDIR}/smb
%else
%{_unitdir}/nmb.service
%{_unitdir}/smb.service
%dir %{_tmpfilesdir}
%{_tmpfilesdir}/samba.conf
%endif
%if 0%{?suse_version} && 0%{?suse_version} < 1111
%attr(0600,root,root) %config(noreplace) %{CONFIGDIR}/smbpasswd
%else
%ghost %{CONFIGDIR}/smbpasswd
%endif
%config(noreplace) %{CONFIGDIR}/smbusers
%config %{_sysconfdir}/pam.d/samba
%{_sysconfdir}/slp.reg.d
%if 0%{?suse_version} && 0%{?suse_version} > 1020
%{_sysconfdir}/sysconfig/SuSEfirewall2.d/services/netbios-server
%{_sysconfdir}/sysconfig/SuSEfirewall2.d/services/samba-server
%endif
/%{_lib}/security/pam_smbpass.so
%dir %{_libdir}/samba
%dir %{_libdir}/samba/vfs
%{_libdir}/samba/auth
%{_libdir}/samba/config
%{_libdir}/samba/rpc
%attr(0775,root,ntadmin) %{LOCKDIR}/drivers
%{LOCKDIR}/netlogon
%attr(0770,root,users) %dir %{LOCKDIR}/profiles
%{_bindir}/smbstatus
%{_sbindir}/nmbd
%{_sbindir}/rcnmb
%{_sbindir}/rcsmb
%{_sbindir}/smbd
%{_bindir}/smbta-util
%if 0%{?suse_version} && 0%{?suse_version} < 1100
%dir %{_datadir}/omc
%dir %{_datadir}/omc/svcinfo.d
%endif
%attr(0644,root,root) %{_datadir}/omc/svcinfo.d/nmb.xml
%attr(0644,root,root) %{_datadir}/omc/svcinfo.d/smb.xml
%dir %{_datadir}/samba
%{_datadir}/samba/update-apparmor-samba-profile
%doc %{_mandir}/man1/smbstatus.1.*
%doc %{_mandir}/man5/smbpasswd.5.*
%doc %{_mandir}/man8/nmbd.8.*
%doc %{_mandir}/man8/smbd.8.*
%doc %{_mandir}/man8/smbta-util.8.*
%doc %{_mandir}/man8/vfs_acl_tdb.8.*
%doc %{_mandir}/man8/vfs_acl_xattr.8.*
%doc %{_mandir}/man8/vfs_aio_fork.8.*
%doc %{_mandir}/man8/vfs_aio_linux.8.*
%doc %{_mandir}/man8/vfs_aio_pthread.8.*
%doc %{_mandir}/man8/vfs_audit.8.*
%doc %{_mandir}/man8/vfs_btrfs.8.*
%doc %{_mandir}/man8/vfs_cacheprime.8.*
%doc %{_mandir}/man8/vfs_cap.8.*
%doc %{_mandir}/man8/vfs_catia.8.*
%doc %{_mandir}/man8/vfs_commit.8.*
%doc %{_mandir}/man8/vfs_crossrename.8.*
%doc %{_mandir}/man8/vfs_default_quota.8.*
%doc %{_mandir}/man8/vfs_dirsort.8.*
%doc %{_mandir}/man8/vfs_extd_audit.8.*
%doc %{_mandir}/man8/vfs_fake_perms.8.*
%doc %{_mandir}/man8/vfs_fileid.8.*
%doc %{_mandir}/man8/vfs_full_audit.8.*
%doc %{_mandir}/man8/vfs_gpfs.8.*
%doc %{_mandir}/man8/vfs_linux_xfs_sgid.8.*
%doc %{_mandir}/man8/vfs_media_harmony.8.*
%doc %{_mandir}/man8/vfs_netatalk.8.*
%doc %{_mandir}/man8/vfs_notify_fam.8.*
%doc %{_mandir}/man8/vfs_prealloc.8.*
%doc %{_mandir}/man8/vfs_preopen.8.*
%doc %{_mandir}/man8/vfs_readahead.8.*
%doc %{_mandir}/man8/vfs_readonly.8.*
%doc %{_mandir}/man8/vfs_recycle.8.*
%doc %{_mandir}/man8/vfs_scannedonly.8.*
%doc %{_mandir}/man8/vfs_shadow_copy.8.*
%doc %{_mandir}/man8/vfs_shadow_copy2.8.*
%doc %{_mandir}/man8/vfs_smb_traffic_analyzer.8.*
%doc %{_mandir}/man8/vfs_snapper.8.*
%doc %{_mandir}/man8/vfs_streams_depot.8.*
%doc %{_mandir}/man8/vfs_streams_xattr.8.*
%doc %{_mandir}/man8/vfs_syncops.8.*
%doc %{_mandir}/man8/vfs_time_audit.8.*
%doc %{_mandir}/man8/vfs_tsmsm.8.*
%doc %{_mandir}/man8/vfs_xattr_tdb.8.*
%if 0%{?suse_version} && 0%{?suse_version} < 1021
%{_includedir}/samba
%endif
%exclude %{_mandir}/man8/samba-tool.8.*
%exclude %{_mandir}/man8/samba.8.*
%if 0%{?suse_version} > 1220
%{_var}/adm/fillup-templates/sysconfig.samba
%endif

%files client
%defattr(-,root,root)
%if 0%{?suse_version} && 0%{?suse_version} < 1221
%attr(0754,root,root) %config %{INITDIR}/%{cifs_init_script}
%attr(0600,root,root) %config(noreplace) %{CONFIGDIR}/%{cifs_init_script}tab
%ghost %{_sysconfdir}/sysconfig/%{NET_CFGDIR}/if-down.d/21-%{cifs_init_script}
%ghost %{_sysconfdir}/sysconfig/%{NET_CFGDIR}/if-up.d/21-%{cifs_init_script}
%{_sysconfdir}/sysconfig/%{NET_CFGDIR}/scripts/%{cifs_init_script}
%{_sbindir}/rc%{cifs_init_script}
%if 0%{?suse_version} && 0%{?suse_version} < 1100
%dir %{_datadir}/omc
%dir %{_datadir}/omc/svcinfo.d
%endif
%attr(0644,root,root) %{_datadir}/omc/svcinfo.d/%{cifs_init_script}.xml
%ghost %{_localstatedir}/run/%{cifs_init_script}
%endif
%dir %{CONFIGDIR}
%config(noreplace) %{CONFIGDIR}/lmhosts
%config(noreplace) %{CONFIGDIR}/smb.conf
%dir %{_sysconfdir}/openldap
%dir %{_sysconfdir}/openldap/schema
%attr(0444,root,root) %config %{_sysconfdir}/openldap/schema/samba3.schema
%ghost %{_sysconfdir}/sysconfig/%{NET_CFGDIR}/if-down.d/21-dhcpcd-hook-samba
%ghost %{_sysconfdir}/sysconfig/%{NET_CFGDIR}/if-up.d/21-dhcpcd-hook-samba
%{_sysconfdir}/sysconfig/%{NET_CFGDIR}/scripts/dhcpcd-hook-samba
%{_sysconfdir}/sysconfig/%{NET_CFGDIR}/scripts/dhcpcd-hook-samba-functions
%if 0%{?suse_version} && 0%{?suse_version} > 1100
%{_sysconfdir}/sysconfig/SuSEfirewall2.d/services/samba-client
%endif
%{_bindir}/cifsdd
%{_bindir}/dbwrap_tool
%{_bindir}/eventlogadm
%{_bindir}/net
%{_bindir}/nmblookup
%{_bindir}/nmblookup4
%{_bindir}/oLschema2ldif
%{_bindir}/regdiff
%{_bindir}/samba-regedit
%{_bindir}/regpatch
%{_bindir}/regshell
%{_bindir}/regtree
%{_bindir}/nmbstatus
%{_bindir}/ntdbbackup
%{_bindir}/ntdbdump
%{_bindir}/ntdbrestore
%{_bindir}/ntdbtool
%{_bindir}/pdbedit
%{_bindir}/profiles
%{_bindir}/rpcclient
%{_bindir}/sharesec
%{_bindir}/smbcacls
%{_bindir}/smbclient
%{_bindir}/smbclient4
%{_bindir}/smbcontrol
%{_bindir}/smbcquotas
%{_bindir}/smbget
%{_bindir}/smbpasswd
%{_bindir}/smbprngenpdf
%{_bindir}/smbspool
%{_bindir}/smbtar
%{_bindir}/smbtree
%{_bindir}/testparm
%dir %{cups_lib_dir}
%dir %{cups_lib_dir}/backend
%ghost %{cups_lib_dir}/backend/smb
%{_libdir}/libnss_wins.so.*
%dir %{_libdir}/samba
%{_libdir}/samba/charset
%doc %{_mandir}/man1/dbwrap_tool.1.*
%doc %{_mandir}/man1/findsmb.1.*
%doc %{_mandir}/man1/log2pcap.1.*
%doc %{_mandir}/man1/nmblookup.1.*
%doc %{_mandir}/man1/nmblookup4.1.*
%doc %{_mandir}/man1/nmbstatus.1.*
%doc %{_mandir}/man1/oLschema2ldif.1.*
%doc %{_mandir}/man1/profiles.1.*
%doc %{_mandir}/man1/regdiff.1.*
%doc %{_mandir}/man1/regpatch.1.*
%doc %{_mandir}/man1/regshell.1.*
%doc %{_mandir}/man1/regtree.1.*
%doc %{_mandir}/man1/rpcclient.1.*
%doc %{_mandir}/man1/sharesec.1.*
%doc %{_mandir}/man1/smbcacls.1.*
%doc %{_mandir}/man1/smbcontrol.1.*
%doc %{_mandir}/man1/smbclient.1.*
%doc %{_mandir}/man1/smbcquotas.1.*
%doc %{_mandir}/man1/smbget.1.*
%doc %{_mandir}/man1/smbtar.1.*
%doc %{_mandir}/man1/smbtree.1.*
%doc %{_mandir}/man1/testparm.1.*
%doc %{_mandir}/man3/ntdb.3.*
%doc %{_mandir}/man5/lmhosts.5.*
%doc %{_mandir}/man5/smb.conf.5.*
%doc %{_mandir}/man5/smbgetrc.5.*
%doc %{_mandir}/man7/samba.7.*
%doc %{_mandir}/man8/eventlogadm.8.*
%doc %{_mandir}/man8/net.8.*
%doc %{_mandir}/man8/ntdbbackup.8.*
%doc %{_mandir}/man8/ntdbdump.8.*
%doc %{_mandir}/man8/ntdbrestore.8.*
%doc %{_mandir}/man8/ntdbtool.8.*
%doc %{_mandir}/man8/pdbedit.8.*
%doc %{_mandir}/man8/samba-regedit.8.*
%doc %{_mandir}/man8/smbpasswd.8.*
%doc %{_mandir}/man8/smbspool.8.*
%{_datadir}/samba/codepages
%dir %{_datadir}/samba
%dir %{_datadir}/samba/LDAP
%config %{_datadir}/samba/LDAP/samba-nds.schema
%{_datadir}/samba/templates
%dir %{DOCDIR}
%doc %{DOCDIR}/README.%{VENDOR}
%{_localstatedir}/adm/fillup-templates/samba-client-dhcp.conf
%{_localstatedir}/adm/fillup-templates/sysconfig.dhcp-samba-client
%dir %{LOCKDIR}
%attr(0750,root,root) %dir %{LOGDIR}
%ghost %dir %{PIDDIR}
%if 0%{?suse_version} > 1220
%{_var}/adm/fillup-templates/sysconfig.samba-client
%endif
%if 0%{?suse_version} == 0 || 0%{?suse_version} > 1020

%files core-devel
%defattr(-,root,root)
%{_includedir}/samba
%dir %_includedir/samba-4.0/
%_includedir/samba-4.0/charset.h
%dir %_includedir/samba-4.0/core/
%_includedir/samba-4.0/core/doserr.h
%_includedir/samba-4.0/core/error.h
%_includedir/samba-4.0/core/ntstatus.h
%_includedir/samba-4.0/core/hresult.h
%_includedir/samba-4.0/core/werror.h
%_includedir/samba-4.0/domain_credentials.h
%dir %_includedir/samba-4.0/gen_ndr/
%_includedir/samba-4.0/gen_ndr/auth.h
%_includedir/samba-4.0/gen_ndr/dcerpc.h
%_includedir/samba-4.0/gen_ndr/drsblobs.h
%_includedir/samba-4.0/gen_ndr/drsuapi.h
%_includedir/samba-4.0/gen_ndr/ndr_dcerpc.h
%_includedir/samba-4.0/gen_ndr/ndr_drsblobs.h
%_includedir/samba-4.0/gen_ndr/ndr_drsuapi.h
%_includedir/samba-4.0/gen_ndr/ndr_svcctl_c.h
%_includedir/samba-4.0/gen_ndr/security.h
%_includedir/samba-4.0/gen_ndr/server_id.h
%_includedir/samba-4.0/ldap-util.h
%_includedir/samba-4.0/ldap_errors.h
%_includedir/samba-4.0/ldap_message.h
%_includedir/samba-4.0/ldap_ndr.h
%_includedir/samba-4.0/ldb_wrap.h
%dir %_includedir/samba-4.0/ndr/
%_includedir/samba-4.0/ndr/ndr_drsblobs.h
%_includedir/samba-4.0/ndr/ndr_drsuapi.h
%_includedir/samba-4.0/ndr/ndr_svcctl.h
%_includedir/samba-4.0/read_smb.h
%_includedir/samba-4.0/roles.h
%_includedir/samba-4.0/rpc_common.h
%dir %_includedir/samba-4.0/samba/
%_includedir/samba-4.0/samba/session.h
%_includedir/samba-4.0/samba/version.h
%_includedir/samba-4.0/share.h
%_includedir/samba-4.0/smb2.h
%_includedir/samba-4.0/smb2_constants.h
%_includedir/samba-4.0/smb2_create_blob.h
%_includedir/samba-4.0/smb2_lease.h
%_includedir/samba-4.0/smb2_signing.h
%_includedir/samba-4.0/smb_cli.h
%_includedir/samba-4.0/smb_common.h
%_includedir/samba-4.0/smb_composite.h
%_includedir/samba-4.0/smb_constants.h
%_includedir/samba-4.0/smb_seal.h
%_includedir/samba-4.0/smb_signing.h
%_includedir/samba-4.0/smb_unix_ext.h
%_includedir/samba-4.0/smb_util.h
%_includedir/samba-4.0/tdr.h
%_includedir/samba-4.0/tsocket.h
%_includedir/samba-4.0/tsocket_internal.h
%dir %_includedir/samba-4.0/util/
%_includedir/samba-4.0/util_ldb.h
%{_libdir}/libnss_winbind.so
%{_libdir}/libnss_wins.so
%endif

%files libs
%defattr(-,root,root)
%dir %{_libdir}/samba
%{_libdir}/samba/libntdb.so.*
%{_libdir}/samba/libCHARSET3.so
%{_libdir}/samba/libLIBWBCLIENT_OLD.so
%{_libdir}/samba/libMESSAGING.so
%{_libdir}/samba/libaddns.so
%{_libdir}/samba/libads.so
%{_libdir}/samba/libasn1util.so
%{_libdir}/samba/libauth.so
%{_libdir}/samba/libauth4.so
%{_libdir}/samba/libauth_sam_reply.so
%{_libdir}/samba/libauth_unix_token.so
%{_libdir}/samba/libauthkrb5.so
%{_libdir}/samba/libccan.so
%{_libdir}/samba/libcli-ldap-common.so
%{_libdir}/samba/libcli-ldap.so
%{_libdir}/samba/libcli-nbt.so
%{_libdir}/samba/libcli_cldap.so
%{_libdir}/samba/libcli_smb_common.so
%{_libdir}/samba/libcli_spoolss.so
%{_libdir}/samba/libcliauth.so
%{_libdir}/samba/libcluster.so
%{_libdir}/samba/libcmdline-credentials.so
%{_libdir}/samba/libdbwrap.so
%{_libdir}/samba/libdcerpc-samba.so
%{_libdir}/samba/libdcerpc-samba4.so
%{_libdir}/samba/libdfs_server_ad.so
%{_libdir}/samba/libdsdb-module.so
%{_libdir}/samba/liberrors.so
%{_libdir}/samba/libevents.so
%{_libdir}/samba/libflag_mapping.so
%{_libdir}/samba/libgpo.so
%{_libdir}/samba/libgse.so
%{_libdir}/samba/libidmap.so
%{_libdir}/samba/libinterfaces.so
%{_libdir}/samba/libkrb5samba.so
%{_libdir}/samba/libldb-cmdline.so
%{_libdir}/samba/libldbsamba.so
%{_libdir}/samba/liblibcli_lsa3.so
%{_libdir}/samba/liblibcli_netlogon3.so
%{_libdir}/samba/liblibsmb.so
%{_libdir}/samba/libmsrpc3.so
%{_libdir}/samba/libndr-samba.so
%{_libdir}/samba/libndr-samba4.so
%{_libdir}/samba/libnet_keytab.so
%{_libdir}/samba/libnetif.so
%{_libdir}/samba/libnon_posix_acls.so
%{_libdir}/samba/libnpa_tstream.so
%{_libdir}/samba/libnss_info.so
%{_libdir}/samba/libutil_ntdb.so
%{_libdir}/samba/libpopt_samba3.so
%{_libdir}/samba/libprinting_migrate.so
%{_libdir}/samba/libreplace.so
%{_libdir}/samba/libsamba-modules.so
%{_libdir}/samba/libsamba-net.so
%{_libdir}/samba/libsamba-security.so
%{_libdir}/samba/libsamba-sockets.so
%{_libdir}/samba/libsamba3-util.so
%{_libdir}/samba/libsamba_python.so
%{_libdir}/samba/libsamdb-common.so
%{_libdir}/samba/libsecrets3.so
%{_libdir}/samba/libserver-role.so
%{_libdir}/samba/libshares.so
%{_libdir}/samba/libsmb_transport.so
%{_libdir}/samba/libsmbd_base.so
%{_libdir}/samba/libsmbd_conn.so
%{_libdir}/samba/libsmbd_shim.so
%{_libdir}/samba/libsmbldaphelper.so
%{_libdir}/samba/libsmbpasswdparser.so
%{_libdir}/samba/libsmbregistry.so
%{_libdir}/samba/libsubunit.so
%{_libdir}/samba/libtdb-wrap.so
%{_libdir}/samba/libtdb_compat.so
%{_libdir}/samba/libtrusts_util.so
%{_libdir}/samba/libutil_cmdline.so
%{_libdir}/samba/libutil_reg.so
%{_libdir}/samba/libutil_setid.so
%{_libdir}/samba/libutil_tdb.so
%{_libdir}/samba/libwinbind-client.so
%{_libdir}/samba/libxattr_tdb.so
%dir %{_libdir}/samba/pdb
%{_libdir}/samba/pdb/ldapsam.so
%{_libdir}/samba/pdb/smbpasswd.so
%{_libdir}/samba/pdb/tdbsam.so
%{_libdir}/samba/pdb/wbc_sam.so

%files pidl
%defattr(-,root,root)
%dir %{perl_vendorlib}/Parse
%{perl_vendorlib}/Parse/Pidl*
%{_mandir}/man1/pidl*
%{_mandir}/man3/Parse::Pidl*
%attr(755,root,root) %{_bindir}/pidl

%files python
%defattr(-,root,root)
%{python_sitearch}/*

%files test
%defattr(-,root,root)
%{_bindir}/gentest
%{_bindir}/locktest
%{_bindir}/masktest
%{_bindir}/ndrdump
%{_bindir}/smbtorture
%{_libdir}/libtorture.so.*
%doc %{_mandir}/man1/gentest.1.*
%doc %{_mandir}/man1/locktest.1.*
%doc %{_mandir}/man1/masktest.1.*
%doc %{_mandir}/man1/ndrdump.1.*
%doc %{_mandir}/man1/smbtorture.1.*
%doc %{_mandir}/man1/vfstest.1.*

%files test-devel
%defattr(-,root,root)
%dir %_includedir/samba-4.0/
%{_includedir}/samba-4.0/torture.h
%{_libdir}/libtorture.so
%{_libdir}/pkgconfig/torture.pc

%files winbind -f filelist-samba-winbind
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/security/pam_winbind.conf
%if 0%{?suse_version} < 1221
%attr(0754,root,root) %config %{INITDIR}/winbind
%else
%{_unitdir}/winbind.service
%endif
%ghost %{_sysconfdir}/sysconfig/%{NET_CFGDIR}/if-down.d/55-samba-winbindd
%ghost %{_sysconfdir}/sysconfig/%{NET_CFGDIR}/if-up.d/55-samba-winbindd
%{_sysconfdir}/sysconfig/%{NET_CFGDIR}/scripts/samba-winbindd
%{_bindir}/ntlm_auth
%{_bindir}/wbinfo
%{_sbindir}/rcwinbind
%{_sbindir}/winbindd
/%{_lib}/security/pam_winbind.so
%{_libdir}/libnss_winbind.so.*
%{_libdir}/samba/idmap
%{_libdir}/samba/nss_info
%{_libdir}/winbind_krb5_locator.so
%doc %{_mandir}/man1/ntlm_auth.1.*
%doc %{_mandir}/man1/wbinfo.1.*
%doc %{_mandir}/man7/winbind_krb5_locator.7.*
%doc %{_mandir}/man5/pam_winbind.conf.5.*
%doc %{_mandir}/man8/idmap_ad.8.*
%doc %{_mandir}/man8/idmap_autorid.8.*
%doc %{_mandir}/man8/idmap_hash.8.*
%doc %{_mandir}/man8/idmap_ldap.8.*
%doc %{_mandir}/man8/idmap_nss.8.*
%doc %{_mandir}/man8/idmap_rfc2307.8.*
%doc %{_mandir}/man8/idmap_rid.8.*
%doc %{_mandir}/man8/idmap_tdb.8.*
%doc %{_mandir}/man8/idmap_tdb2.8.*
%doc %{_mandir}/man8/pam_winbind.8.*
%doc %{_mandir}/man8/winbindd.8.*
%if 0%{?suse_version} && 0%{?suse_version} < 1100
%dir %{_datadir}/omc
%dir %{_datadir}/omc/svcinfo.d
%endif
%attr(0644,root,root) %{_datadir}/omc/svcinfo.d/winbind.xml
%attr(0750,root,winbind) %dir %{LOCKDIR}/winbindd_privileged
%if 0%{?suse_version} > 1220
%{_var}/adm/fillup-templates/sysconfig.samba-winbind
%endif
%attr(0770,root,root) %{_var}/cache/krb5rcache
%if 0%{?suse_version} && 0%{?suse_version} < 1001 || 0%{?suse_version} > 1110

%files doc -f filelist-samba-doc
%defattr(-,root,root)
%dir %{DOCDIR}
%doc %{_datadir}/susehelp
%endif

%files -n libdcerpc-atsvc0
%defattr(-,root,root)
%_libdir/libdcerpc-atsvc.so.0*

%files -n libdcerpc-atsvc-devel
%defattr(-,root,root)
%dir %_includedir/samba-4.0/
%dir %_includedir/samba-4.0/gen_ndr/
%_includedir/samba-4.0/gen_ndr/ndr_atsvc_c.h
%_libdir/libdcerpc-atsvc.so
%_libdir/pkgconfig/dcerpc_atsvc.pc

%files -n libdcerpc-binding0
%defattr(-,root,root)
%_libdir/libdcerpc-binding.so.0*

%files -n libdcerpc-samr0
%defattr(-,root,root)
%_libdir/libdcerpc-samr.so.0*

%files -n libdcerpc-samr-devel
%defattr(-,root,root)
%dir %_includedir/samba-4.0/
%dir %_includedir/samba-4.0/gen_ndr/
%_includedir/samba-4.0/gen_ndr/ndr_samr_c.h
%_libdir/libdcerpc-samr.so
%_libdir/pkgconfig/dcerpc_samr.pc

%files -n libdcerpc0
%defattr(-,root,root)
%_libdir/libdcerpc.so.0*

%files -n libdcerpc-devel
%defattr(-,root,root)
%dir %_includedir/samba-4.0/
%_includedir/samba-4.0/dcerpc.h
%dir %_includedir/samba-4.0/gen_ndr/
%_includedir/samba-4.0/gen_ndr/epmapper.h
%_includedir/samba-4.0/gen_ndr/mgmt.h
%_includedir/samba-4.0/gen_ndr/ndr_mgmt.h
%_includedir/samba-4.0/gen_ndr/ndr_mgmt_c.h
%_includedir/samba-4.0/gen_ndr/ndr_epmapper.h
%_includedir/samba-4.0/gen_ndr/ndr_epmapper_c.h
%_libdir/libdcerpc.so
%_libdir/libdcerpc-binding.so
%_libdir/pkgconfig/dcerpc.pc

%files -n libgensec0
%defattr(-,root,root)
%_libdir/libgensec.so.0*

%files -n libgensec-devel
%defattr(-,root,root)
%dir %_includedir/samba-4.0/
%_includedir/samba-4.0/gensec.h
%_libdir/libgensec.so
%_libdir/pkgconfig/gensec.pc

%files -n libndr-krb5pac0
%defattr(-,root,root)
%_libdir/libndr-krb5pac.so.0*

%files -n libndr-krb5pac-devel
%defattr(-,root,root)
%dir %_includedir/samba-4.0/
%dir %_includedir/samba-4.0/gen_ndr/
%_includedir/samba-4.0/gen_ndr/krb5pac.h
%_includedir/samba-4.0/gen_ndr/ndr_krb5pac.h
%_libdir/libndr-krb5pac.so
%_libdir/pkgconfig/ndr_krb5pac.pc

%files -n libndr-nbt0
%defattr(-,root,root)
%_libdir/libndr-nbt.so.0*

%files -n libndr-nbt-devel
%defattr(-,root,root)
%dir %_includedir/samba-4.0/
%dir %_includedir/samba-4.0/gen_ndr/
%_includedir/samba-4.0/gen_ndr/nbt.h
%_includedir/samba-4.0/gen_ndr/ndr_nbt.h
%dir %_includedir/samba-4.0/ndr/
%_includedir/samba-4.0/ndr/ndr_nbt.h
%_libdir/libndr-nbt.so
%_libdir/pkgconfig/ndr_nbt.pc

%files -n libndr-standard0
%defattr(-,root,root)
%_libdir/libndr-standard.so.0*

%files -n libndr-standard-devel
%defattr(-,root,root)
%dir %_includedir/samba-4.0/
%dir %_includedir/samba-4.0/gen_ndr/
%_includedir/samba-4.0/gen_ndr/samr.h
%_includedir/samba-4.0/gen_ndr/ndr_samr.h
%_includedir/samba-4.0/gen_ndr/lsa.h
%_includedir/samba-4.0/gen_ndr/netlogon.h
%_includedir/samba-4.0/gen_ndr/atsvc.h
%_includedir/samba-4.0/gen_ndr/ndr_atsvc.h
%_includedir/samba-4.0/gen_ndr/ndr_svcctl.h
%_includedir/samba-4.0/gen_ndr/svcctl.h
%_libdir/libndr-standard.so
%_libdir/pkgconfig/ndr_standard.pc

%files -n libndr0
%defattr(-,root,root)
%_libdir/libndr.so.0*

%files -n libndr-devel
%defattr(-,root,root)
%dir %_includedir/samba-4.0/
%dir %_includedir/samba-4.0/gen_ndr/
%_includedir/samba-4.0/gen_ndr/misc.h
%_includedir/samba-4.0/gen_ndr/ndr_misc.h
%_includedir/samba-4.0/ndr.h
%_libdir/libndr.so
%_libdir/pkgconfig/ndr.pc

%files -n %{libnetapi_name}
%defattr(-,root,root)
%{_libdir}/libnetapi.so.*

%files -n libnetapi-devel
%defattr(-,root,root)
%dir %_includedir/samba-4.0/
%{_includedir}/samba-4.0/netapi.h
%{_libdir}/libnetapi.so
%{_libdir}/pkgconfig/netapi.pc

%files -n libpdb0
%defattr(-,root,root)
%_libdir/libpdb.so.0*

%files -n libpdb-devel
%defattr(-,root,root)
%dir %_includedir/samba-4.0/
%_includedir/samba-4.0/lookup_sid.h
%_includedir/samba-4.0/machine_sid.h
%_includedir/samba-4.0/passdb.h
%_libdir/libpdb.so

%files -n libregistry0
%defattr(-,root,root)
%_libdir/libregistry.so.0*

%files -n libregistry-devel
%defattr(-,root,root)
%dir %_includedir/samba-4.0/
%_includedir/samba-4.0/registry.h
%_libdir/libregistry.so
%_libdir/pkgconfig/registry.pc

%files -n libsamba-credentials0
%defattr(-,root,root)
%_libdir/libsamba-credentials.so.0*

%files -n libsamba-credentials-devel
%defattr(-,root,root)
%dir %_includedir/samba-4.0/
%_includedir/samba-4.0/credentials.h
%_libdir/libsamba-credentials.so
%_libdir/pkgconfig/samba-credentials.pc

%files -n libsamba-hostconfig0
%defattr(-,root,root)
%_libdir/libsamba-hostconfig.so.0*

%files -n libsamba-hostconfig-devel
%defattr(-,root,root)
%dir %_includedir/samba-4.0/
%_includedir/samba-4.0/param.h
%_libdir/libsamba-hostconfig.so
%_libdir/pkgconfig/samba-hostconfig.pc

%files -n libsamba-policy0
%defattr(-,root,root)
%_libdir/libsamba-policy.so.0*

%files -n libsamba-policy-devel
%defattr(-,root,root)
%dir %_includedir/samba-4.0/
%_includedir/samba-4.0/policy.h
%_libdir/libsamba-policy.so
%_libdir/pkgconfig/samba-policy.pc

%files -n libsamba-util0
%defattr(-,root,root)
%_libdir/libsamba-util.so.0*

%files -n libsamba-util-devel
%defattr(-,root,root)
%dir %_includedir/samba-4.0/
%_includedir/samba-4.0/dlinklist.h
%_includedir/samba-4.0/samba_util.h
%dir %_includedir/samba-4.0/util/
%_includedir/samba-4.0/util/attr.h
%_includedir/samba-4.0/util/byteorder.h
%_includedir/samba-4.0/util/data_blob.h
%_includedir/samba-4.0/util/debug.h
%_includedir/samba-4.0/util/memory.h
%_includedir/samba-4.0/util/safe_string.h
%_includedir/samba-4.0/util/string_wrappers.h
%_includedir/samba-4.0/util/talloc_stack.h
%_includedir/samba-4.0/util/time.h
%_includedir/samba-4.0/util/xfile.h
%_libdir/libsamba-util.so
%_libdir/pkgconfig/samba-util.pc

%files -n libsamdb0
%defattr(-,root,root)
%_libdir/libsamdb.so.0*

%files -n libsamdb-devel
%defattr(-,root,root)
%_libdir/libsamdb.so
%_libdir/pkgconfig/samdb.pc

%files -n %{libsmbclient_name}
%defattr(-,root,root)
%{_libdir}/libsmbclient.so.*

%files -n libsmbclient-devel
%defattr(-,root,root)
%dir %_includedir/samba-4.0/
%{_includedir}/samba-4.0/libsmbclient.h
%{_libdir}/libsmbclient.so
%{_libdir}/pkgconfig/smbclient.pc
%{_mandir}/man7/libsmbclient.7.*

%files -n libsmbclient-raw0
%defattr(-,root,root)
%_libdir/libsmbclient-raw.so.0*

%files -n libsmbclient-raw-devel
%defattr(-,root,root)
%dir %_includedir/samba-4.0/
%_includedir/samba-4.0/smb_cliraw.h
%_includedir/samba-4.0/smb_raw.h
%_includedir/samba-4.0/smb_raw_interfaces.h
%_includedir/samba-4.0/smb_raw_signing.h
%_includedir/samba-4.0/smb_raw_trans2.h
%_includedir/samba-4.0/smb_request.h
%_libdir/libsmbclient-raw.so
%_libdir/pkgconfig/smbclient-raw.pc

%files -n libsmbconf0
%defattr(-,root,root)
%_libdir/libsmbconf.so.0*

%files -n libsmbconf-devel
%defattr(-,root,root)
%dir %_includedir/samba-4.0/
%_includedir/samba-4.0/smbconf.h
%_libdir/libsmbconf.so

%files -n libsmbldap0
%defattr(-,root,root)
%_libdir/libsmbldap.so.0*

%files -n libsmbldap-devel
%defattr(-,root,root)
%dir %_includedir/samba-4.0/
%_includedir/samba-4.0/smbldap.h
%_includedir/samba-4.0/smb_ldap.h
%_libdir/libsmbldap.so

%files -n %{libsmbsharemodes_name}
%defattr(-,root,root)
%{_libdir}/libsmbsharemodes.so.*

%files -n libsmbsharemodes-devel
%defattr(-,root,root)
%dir %_includedir/samba-4.0/
%{_includedir}/samba-4.0/smb_share_modes.h
%{_libdir}/libsmbsharemodes.so
%{_libdir}/pkgconfig/smbsharemodes.pc

%files -n libtevent-util0
%defattr(-,root,root)
%_libdir/libtevent-util.so.0*

%files -n libtevent-util-devel
%defattr(-,root,root)
%dir %_includedir/samba-4.0/
%dir %_includedir/samba-4.0/util/
%_includedir/samba-4.0/util/tevent_ntstatus.h
%_includedir/samba-4.0/util/tevent_unix.h
%_includedir/samba-4.0/util/tevent_werror.h
%_libdir/libtevent-util.so

%files -n %{libwbclient_name}
%defattr(-,root,root)
%{_libdir}/libwbclient.so.*

%files -n libwbclient-devel
%defattr(-,root,root)
%dir %_includedir/samba-4.0/
%{_includedir}/samba-4.0/wbclient.h
%{_libdir}/libwbclient.so
%{_libdir}/pkgconfig/wbclient.pc

%changelog
